Loading...
Searching...
No Matches
casacore::ImageFITSConverterImpl< HDUType > Class Template Reference
images package (libcasa_images) » Images_module » Images_module_internal_classes

This class is an internal class for ImageFITSConverter. More...

`#include <ImageFITSConverter.h>`

## Static Public Member Functions

static void | FITSToImage (ImageInterface< Float > *&newImage, String &error, const String &newImageName, const uInt whichRep, HDUType &fitsImage, const String &fitsFilename, const DataType dataType, const uInt memoryInMB=64, const Bool zeroBlanks=False)

## Detailed Description

template<class HDUType>
class casacore::ImageFITSConverterImpl< HDUType >

This class is an internal class for ImageFITSConverter.

### Intended use:

Internal

### Synopsis

This class is an internal class used to implement ImageFitsConverter::FITSToImage - in particular, it has the code which is dependent on the various types (BITPIX values).

Definition at line 391 of file ImageFITSConverter.h.

## Member Function Documentation

## FITSToImage()

template<class HDUType>

void casacore::ImageFITSConverterImpl< HDUType >::FITSToImage | ( | ImageInterface< Float > *& | newImage,
|  | String & | error,
|  | const String & | newImageName,
|  | const uInt | whichRep,
|  | HDUType & | fitsImage,
|  | const String & | fitsFilename,
|  | const DataType | dataType,
|  | const uInt | memoryInMB = 64,
|  | const Bool | zeroBlanks = False )

static

References casacore::dataType(), and casacore::False.

The documentation for this class was generated from the following file:

- images/Images/ImageFITSConverter.h